Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPBinding

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`

All Known Subinterfaces:
  `ICPPAliasTemplate`, `ICPPAliasTemplateInstance`, `ICPPClassSpecialization`, `ICPPClassTemplate`, `ICPPClassTemplatePartialSpecialization`, `ICPPClassTemplatePartialSpecializationSpecialization`, `ICPPClassType`, `ICPPConstructor`, `ICPPConstructorSpecialization`, `ICPPDeductionGuide`, `ICPPDeferredFunction`, `ICPPDeferredTemplateInstance`, `ICPPEnumeration`, `ICPPEnumerationSpecialization`, `ICPPField`, `ICPPFieldTemplate`, `ICPPFunction`, `ICPPFunctionInstance`, `ICPPFunctionSpecialization`, `ICPPFunctionTemplate`, `ICPPMember`, `ICPPMethod`, `ICPPMethodSpecialization`, `ICPPNamespace`, `ICPPNamespaceAlias`, `ICPPParameter`, `ICPPPartiallySpecializable`, `ICPPPartialSpecialization`, `ICPPSpecialization`, `ICPPTemplateDefinition`, `ICPPTemplateInstance`, `ICPPTemplateNonTypeParameter`, `ICPPTemplateParameter`, `ICPPTemplateTemplateParameter`, `ICPPTemplateTypeParameter`, `ICPPTypeSpecialization`, `ICPPUsingDeclaration`, `ICPPVariable`, `ICPPVariableInstance`, `ICPPVariableTemplate`, `ICPPVariableTemplatePartialSpecialization`

public interface ICPPBinding extends IBinding

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getQualifiedName()`
Returns an array of strings representing the qualified name of this binding.
`char[][]`
`getQualifiedNameCharArray()`
`boolean`
`isGloballyQualified()`
Returns true if this binding is qualified with respect to the translation unit for example, local variables, function parameters and local classes will all return false.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

## Method Details

### getQualifiedName

String[] getQualifiedName() throws DOMException
Returns an array of strings representing the qualified name of this binding.

Throws:
  `DOMException`

### getQualifiedNameCharArray

char[][] getQualifiedNameCharArray() throws DOMException

Throws:
  `DOMException`

### isGloballyQualified

boolean isGloballyQualified() throws DOMException
Returns true if this binding is qualified with respect to the translation unit for example, local variables, function parameters and local classes will all return false.

Throws:
  `DOMException`